import { Observable } from 'rxjs';
export interface Connection {
    connectionStatus: Observable<number>;
    messages: Observable<string>;
}
export interface IWebSocket {
    close(): any;
    send(data: string | ArrayBuffer | Blob): any;
    onopen: ((event: any) => any) | null;
    onclose: ((event: any) => any) | null;
    onmessage: ((event: any) => any) | null;
    onerror: ((event: any) => any) | null;
}
export declare type WebSocketFactory = (url: string, protocols?: string | string[]) => IWebSocket;
export default function connect(url: string, input: Observable<string>, protocols?: string | string[], websocketFactory?: WebSocketFactory): Connection;
